ForwardingJavaFileObject (Java SE 11 & JDK 11 )
Keywords: javax.tools.ForwardingJavaFileObject class

Module java.compiler
Package javax.tools

## Class ForwardingJavaFileObject<F extends JavaFileObject>

- java.lang.Object
- - javax.tools.ForwardingFileObject<F>
  - - javax.tools.ForwardingJavaFileObject<F>

- Type Parameters:
    `F` - the kind of file object forwarded to by this object
  All Implemented Interfaces:
    `FileObject`, `JavaFileObject`

      public class ForwardingJavaFileObject<F extends JavaFileObject>
      extends ForwardingFileObject<F>
      implements JavaFileObject

  Forwards calls to a given file object. Subclasses of this class might override some of these methods and might also provide additional fields and methods.
  Since:
    1.6

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface javax.tools.JavaFileObject

      `JavaFileObject.Kind`

  - ### Field Summary

    - ### Fields declared in class javax.tools.ForwardingFileObject

      `fileObject`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ForwardingJavaFileObject​(F fileObject)` | Creates a new instance of ForwardingJavaFileObject.

  - ### Method Summary

    - ### Methods declared in class javax.tools.ForwardingFileObject

      `getCharContent, openInputStream, openOutputStream, openReader, openWriter`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.tools.FileObject

      `delete, getCharContent, getLastModified, getName, openInputStream, openOutputStream, openReader, openWriter, toUri`

    - ### Methods declared in interface javax.tools.JavaFileObject

      `getAccessLevel, getKind, getNestingKind, isNameCompatible`

- - ### Constructor Detail

    - #### ForwardingJavaFileObject

          protected ForwardingJavaFileObject​(F fileObject)

      Creates a new instance of ForwardingJavaFileObject.
      Parameters:
        `fileObject` - delegate to this file object